Project/src/beans/ResultDetail.java
package beans;

import java.io.Serializable;

import dao.FighterDao;
import dao.WeightClassDao;

public class ResultDetail implements Serializable {
	private int id;
	private int fighter_idd;
	private int result_id;
	private int fighter_id;
	private int weight_class_id;
	private String victory_or_defeat;

	public ResultDetail(int id, int idd, int result_id, int fighter_id, int weight_class_id,
			String victory_or_defeat) {
		this.id = id;
		this.id = idd;
		this.result_id = result_id;
		this.fighter_id = fighter_id;
		this.weight_class_id = weight_class_id;
		this.victory_or_defeat = victory_or_defeat;



	}

	public ResultDetail() {
		// TODO 自動生成されたコンストラクター・スタブ
	}



	public int getFighter_idd() {
		return fighter_idd;
	}

	public void setFighter_idd(int fighter_idd) {
		this.fighter_idd = fighter_idd;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getResult_id() {
		return result_id;
	}

	public void setResult_id(int result_id) {
		this.result_id = result_id;
	}

	public int getFighter_id() {
		return fighter_id;
	}

	public void setFighter_id(int fighter_id) {
		this.fighter_id = fighter_id;
	}

	public int getWeight_class_id() {
		return weight_class_id;
	}

	public void setWeight_class_id(int weight_class_id) {
		this.weight_class_id = weight_class_id;
	}

	public String getVictory_or_defeat() {
		return victory_or_defeat;
	}

	public void setVictory_or_defeat(String victory_or_defeat) {
		this.victory_or_defeat = victory_or_defeat;
	}

	// 結合テーブル情報
	public FighterDateBeans getFighterDateBeans() {
		FighterDao dao = new FighterDao();
		return dao.getFighterDetail(String.valueOf(this.fighter_id));

	}

	public FighterDateBeans getFighterDateBeansd() {
		FighterDao dao = new FighterDao();
		return dao.getFighterDetail(String.valueOf(this.fighter_idd));

	}

	public WeightClassDateBeans getWeightClassDateBeans() {
		WeightClassDao wdo = new WeightClassDao();
		return wdo.getweight(String.valueOf(this.weight_class_id));
	}





}

Project/src/BantamWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class BantamWeight
 */
@WebServlet("/BantamWeight")
public class BantamWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BantamWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao feighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = feighterdao.getBantamWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/BantamWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/FeatherWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class FeatherWeightServlet
 */
@WebServlet("/FeatherWeightServlet")
public class FeatherWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public FeatherWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.getFeatherWeight();

		request.setAttribute("fdbList", fdbList);
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/FeatherWeight.jsp");
		dispatcher.forward(request, response);
	}


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/FighterDetailServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class FighterDetailServlet
 */
@WebServlet("/FighterDetailServlet")
public class FighterDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public FighterDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		String id = request.getParameter("id");

		FighterDao fighterdao = new FighterDao();
		FighterDateBeans fdbd = new FighterDateBeans();
		fdbd = fighterdao.getFighterDetail(id);

		request.setAttribute("fdbd", fdbd);
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/fighterdetail.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/FlyWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class FlyWeightServlet
 */
@WebServlet("/FlyWeightServlet")
public class FlyWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public FlyWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.getFlyWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/FlyWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/HeavyWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class HeavyWeightServlet
 */
@WebServlet("/HeavyWeightServlet")
public class HeavyWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public HeavyWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.getHeavyWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/heavyWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/LightHeavyWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class LightHeavyWeightServlet
 */
@WebServlet("/LightHeavyWeightServlet")
public class LightHeavyWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LightHeavyWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.geLightHeavyWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/LightHeavyWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/LightWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class LightWeightServlet
 */
@WebServlet("/LightWeightServlet")
public class LightWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LightWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.getLightWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/LightWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/MiddleWeightServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.FighterDateBeans;
import dao.FighterDao;

/**
 * Servlet implementation class MiddleWeightServlet
 */
@WebServlet("/MiddleWeightServlet")
public class MiddleWeightServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public MiddleWeightServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		FighterDao fighterdao = new FighterDao();
		ArrayList<FighterDateBeans> fdbList = new ArrayList<FighterDateBeans>();
		fdbList = fighterdao.geMiddleWeight();

		request.setAttribute("fdbList", fdbList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/MiddleWeight.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/NewsDetailServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.NewsDateBeans;
import dao.NewsDao;

/**
 * Servlet implementation class NewsDetailServlet
 */
@WebServlet("/NewsDetailServlet")
public class NewsDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public NewsDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		String id = request.getParameter("id");

		NewsDao newsdao = new NewsDao();
		NewsDateBeans ndb = newsdao.getdetail(id);

		request.setAttribute("ndb", ndb);
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newsdetail.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/NewsServlet.java
import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.NewsDateBeans;
import dao.NewsDao;

/**
 * Servlet implementation class NewsServlet
 */
@WebServlet("/NewsServlet")
public class NewsServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public NewsServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		NewsDao ndb = new NewsDao();
		ArrayList<NewsDateBeans> ndbd = ndb.getNews();

		request.setAttribute("ndbd", ndbd);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/news.jsp");
		dispatcher.forward(request, response);



	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/WebContent/WEB-INF/jsp/BantamWeight.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>bantamWeight</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="style.css">

</head>

<body class="a" background="img/GettyImages-1181916538-728x485.jpg">
    <div class="container">
        <header>
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <a class="navbar-brand" href="TopPageServlet">UFC</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item active">
                            <a class="nav-link" href="ResultServlet">RESULT <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="NewsServlet">NEWS</a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="RankingServlet" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                RANKING
                            </a>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="#">Action</a>
                                <a class="dropdown-item" href="#">Another action</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#">Something else here</a>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="PhotoServlet" tabindex="-1" aria-disabled="true">PHOTO</a>
                        </li>
                         <li class="nav-item">
                        <a class="nav-link" href="SignUpFighterServlet">SIGN UP</a>
                    </li>
                    </ul>

                </div>
            </nav>
        </header>

        <table class="table table-dark">
            <thead>
                <tr>
                    <th scope="col">RANKING</th>
                    <th scope="col">NAME</th>
                    　<th scope="col">バンタム級</th>
                </tr>
            </thead>
            <tbody>
            <c:forEach var="fdb" items="${fdbList}">
                <tr>
                    <th scope="row">${fdb.rank}</th>
                    <td><a href="FighterDetailServlet?id=${fdb.id}" class="text-light">${fdb.name}</a></td>
                    <td class=”table-img”>
                         <img src="img/${fdb.file_pass}"  width="100%" height="400px">
                    </td>
                </tr>
            </c:forEach>

             <!--    <tr>
                    <th scope="row">1</th>
                    <td><a href="fighterdetail.html" class="text-light">マルロン・モラエス</a></td>
                    <td class=”table-img”>
                        <img src="img/fighter_img(7).jfif">
                    </td>
                </tr>
                <tr>
                    <th scope="row">2</th>
                    <td><a href="fighterdetail.html" class="text-light">アルジャメイ・スターリング</a></td>
                    <td class=”table-img”>
                        <img src="img/fighter_img(8).jpg">
                    </td>
                </tr>
                <tr>
                    <th scope="row">3</th>
                    <td><a href="fighterdetail.html" class="text-light">コーリー・サンドヘイゲン</a></td>
                    <td class=”table-img”>
                        <img src="img/fighter_img(9).jpg">
                    </td>
                </tr>
                <tr>
                    <th scope="row">4</th>
                    <td><a href="fighterdetail.html" class="text-light">ピョートル・ヤン</a></td>
                    <td class=”table-img”>
                        <img src="img/fighter_img(10).jfif">
                    </td>
                </tr>
                <tr>
                    <th scope="row">5</th>
                    <td><a href="fighterdetail.html" class="text-light">ハファエル・アスンソン</a></td>
                    <td class=”table-img”>
                        <img src="img/fighter_img(11).jfif">
                    </td>
                </tr>
            </tbody>
             -->
        </table>

    </div>
</body>

</html>

Project/WebContent/WEB-INF/jsp/resultdetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="style.css">

</head>

<body background="img/GettyImages-1181916538-728x485.jpg">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="TopPageServlet">UFC</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="ResultServlet">RESULT <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="NewsServlet">NEWS</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="RankingServlet"  id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            RANKING
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="#">Action</a>
                            <a class="dropdown-item" href="#">Another action</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="#">Something else here</a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="PhotoServlet" tabindex="-1" aria-disabled="true">PHOTO</a>
                    </li>
                     <li class="nav-item">
                        <a class="nav-link" href="SignUpFighterServlet">SIGN UP</a>
                    </li>
                </ul>

            </div>
        </nav>
         <style>





        </style>

        <h1>${frdb.result_title}</h1>
        <p style="color: azure">${frdb.sub_title}</p>
        <div class="row resultImg-area">
                <img src="img/${frdb.file_pass}" width="100%" height="90%">
        </div>


        <div style="background-color: azure">
            <div class="row">
                <div class="col-6">
                    <p style="color: black">イベント名</p>
                </div>
                <div class="col-6">
                    <p style="color: black">${frdb.result_title}</p>
                </div>
            </div>

            <div class="row">
                <div class="col-6">
                    <p style="color: black">開催日</p>
                </div>
                <div class="col-6">
                    <p style="color: black">${frdb.date_time}</p>
                </div>
            </div>

            <div class="row">
                <div class="col-6">
                    <p style="color: black">開催地</p>
                </div>
                <div class="col-6">
                    <p style="color: black">${frdb.venue}</p>
                </div>
            </div>

		<c:forEach var="rdb" items="${rdList}">
            <div style="color: red">
                <p style="text-align: center">${rdb.weightClassDateBeans.weight_class_name}マッチ</p>
            </div>

            <div class="row fight-crad">
                <div class="col-3">
                    <img src="img/${rdb.fighterDateBeans.file_pass}">
                </div>
                <div class="col-3">
                    <p style="color: black">WINNER<br>${rdb.fighterDateBeans.name}<br>戦績　${rdb.fighterDateBeans.win}-${rdb.fighterDateBeans.lose}-${rdb.fighterDateBeans.draw}<br>身長　${rdb.fighterDateBeans.height}<br>体重　${rdb.fighterDateBeans.weight}<br>リーチ　${rdb.fighterDateBeans.reach}</p>
                </div>
                <div class="col-3">
                <p style="color: black"><br>${rdb.fighterDateBeansd.name}<br>戦績　${rdb.fighterDateBeansd.win}-${rdb.fighterDateBeansd.lose}-${rdb.fighterDateBeansd.draw}<br>身長　${rdb.fighterDateBeansd.height}<br>体重　${rdb.fighterDateBeansd.weight}<br>リーチ　${rdb.fighterDateBeansd.reach}</p>
                </div>
                <div class="col-3">
                    <img src="img/${rdb.fighterDateBeansd.file_pass}">
                </div>
            </div>
		</c:forEach>
          <!--    <div style="color: red">
                <p style="text-align: center">${rd.weight_class_id}マッチ</p>
            </div>

            <div class="row fight-crad">
                <div class="col-3">
                    <img src="img/RUA_MAURICIO_L-PRINT.png">
                </div>
                <div class="col-3">
                    <p style="color: black"><br>マウリシオ・フア<br>戦績　26-11-0<br>KO/TKO 80%<br>身長　185cm<br>体重　93kg<br>リーチ　76.00</p>
                </div>
                <div class="col-3">
                    <p style="color: black"><br>ポール・クレイグ<br>戦績　11-3-0<br>KO/TKO 9%<br>身長　192cm<br>体重　93kg<br>リーチ 76.00</p>
                </div>
                <div class="col-3">
                    <img src="img/CRAIG_PAUL_R-PRINT.png">
                </div>
            </div> -->


        </div>

    </div>
</body>

</html>